services:
  debrepo:
    build: .
    container_name: debian-repo-manager
    restart: unless-stopped
    # ПРЯМО ТУТ ПИШЕМ ВЕСЬ КОД ENTRYPOINT
    entrypoint: >
      /bin/bash -c "
      echo '--- Запуск контейнера ---';
      cd /root/debrepo;

      if [ -f 'private.key' ]; then
          echo 'Импорт ключа...';
          gpg --import private.key;
      fi;

      echo 'Запуск cron...';
      service cron start;

      echo 'Запуск сервера...';
      exec python3 server.py
      "
    volumes:
      - /opt/stacks/debrepo/db:/root/debrepo/db
      - /opt/stacks/debrepo/pool:/root/debrepo/pool
      - /opt/stacks/debrepo/dists:/root/debrepo/dists
      - /opt/stacks/debrepo/conf:/root/debrepo/conf
      - /opt/stacks/debrepo/logs:/root/debrepo/logs
      - /opt/stacks/debrepo/private.key:/root/debrepo/private.key
      - /opt/stacks/debrepo/pubkey.gpg:/root/debrepo/pubkey.gpg
    networks:
      - proxy_network

networks:
  proxy_network:
    external: true
